Bug 1029481 - There is no tool to allow migration to hosted engine
There is no tool to allow migration to hosted engine
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity unspecified
: ---
: 3.4.0
Assigned To: Yedidyah Bar David
Leonid Natapov
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 08:02 EST by Yedidyah Bar David
Modified: 2014-02-17 11:01 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-17 11:01:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yedidyah Bar David 2013-11-12 08:02:50 EST
Description of problem:

Current efforts rely on existing tools, see [1].

It seems we need a tool to assist this migration.

This tool, let's say it will be called 'engine-migrate', will have two modes:

* engine-migrate --mode=source
To be done on the source machine. Will stop the engine, run backup, prevent the engine from running accidentally (e.g. disable the service, touch some file that  will tell the engine service to not start, etc)

* engine-migrate --mode=target
To be done on the target machine after copying the backup file. Will run restore, engine-setup, other fixes that are (currently?) not done by engine-setup.

It's not hosted-engine specific - it can be used whenever someone wants to move an engine between machines.

[1] http://www.ovirt.org/Migrate_to_Hosted_Engine
Comment 1 Doron Fediuck 2013-11-21 03:11:44 EST
Didi, for 3.3.0 release note and/or message to the user are good enough.
For 3.4 we need the proper tool. 

So updating this bz for 3.4, and please make sure to have something done for 3.3.0.
Comment 2 Yedidyah Bar David 2014-02-17 11:01:24 EST
Currently closing. 'engine-backup --mode=restore && engine-setup' should be good enough. Please reopen if needed. Note that it's probably not specific to hosted-engine but relevant to any migration.

Note You need to log in before you can comment on or make changes to this bug.